# STL Linked Lists

---

```cpp
#include <iostream>
#include <list> // Needed for lists


int main()
{
    std::list<char> abc = { 'a', 'b', 'c', 'x', 'y', 'z' };

    for (const auto& elem : abc)
    {
        std::cout << elem << " ";
    }
    std::cout << "\n";

    return 0;
}

```

* **std::list** – an STL doubly-linked list.

* Data is not contiguous.

* Random-access is slow, but insertion and removal is fast.

* You cannot use direct access with the** \[\] **operator or **.at\(\)**.

* There also exists **std::forward\_list** for a single linked list, if saving memory is a concern.

* You can still use all of the push/pop and emplace modifiers.

##### 

---

#### [List Documentation](http://www.cplusplus.com/reference/list/list/)

#### [Forward List Documentation](http://www.cplusplus.com/reference/forward_list/forward_list/)



